<template>
  <div class="container">
    <el-tabs v-model="activeName" type="card" @tab-click="handleClick">
      <el-tab-pane v-if="hasPerm('/liquidConfig/list')" label="液位监测仪" name="liquid">
        <list-liquid-config/>
      </el-tab-pane>
      <el-tab-pane v-if="hasPerm('/gasConfig/list')" label="燃气" name="gas">燃气配置</el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import ListLiquidConfig from './liquidConfig/listLiquidConfig'
export default {
  name: 'DeviceConfig',
  components: { ListLiquidConfig },
  data() {
    return {
      activeName: 'liquid'
    }
  },
  methods: {
    handleClick(tab, event) {
      console.log(tab, event)
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .container{
    padding: 5px;
  }
</style>
